# Emoninja

Gem that allows emoji substitutions (amongst other handy operations) in texts.

## Installation

```ruby
gem 'emoninja'     # in Gemfile
############################
require 'emoninja' # wherever applicable
```
## Usage

    Emoninja.emojify text

## Examples:

| Original | Translated |
|----------|------------|
| A thing of beauty is a joy for ever:               | A thing of beauty is a 😹 for ever:  |
| Its lovliness increases; it will never             | Its lovliness increases; it will never  |
| Pass into nothingness; but still will keep         | Pass into nothingness; but still will keep  |
| A bower quiet for us, and a sleep                  | A bower 🔕 for us, and a 🛏  |
| Full of sweet dreams, and health, and quiet breathing. | 💯 of 🍮 dreams, and health, and 🔕 breathing.  |
| Therefore, on every morrow, are we wreathing       | Therefore, on every morrow, are we wreathing  |
| A flowery band to bind us to the earth,            | A flowery band to bind us to the 🌐,  |
| Spite of despondence, of the inhuman dearth        | Spite of despondence, of the inhuman dearth  |
| Of noble natures, of the gloomy days,              | Of noble natures, of the gloomy days,  |
| Of all the unhealthy and o'er-darkn'd ways         | Of all the unhealthy and 🅾'er-darkn'd ways  |
| Made for our searching: yes, in spite of all,      | Made for 🔍 searching: yes, in spite of all,  |
| Some shape of beauty moves away the pall           | Some shape of beauty moves away the pall  |
| From our dark spirits. Such the sun, the moon,     | From our 🌑 spirits. Such the 🌤, the 🌚,  |
| Trees old and young, sprouting a shady boon        | 🎄 🗝 and young, sprouting a shady boon  |
| For simple sheep; and such are daffodils           | For simple 🐑; and such are daffodils  |
| With the green world they live in; and clear rills | With the 📗 🌎 they live in; and clear rills  |
| That for themselves a cooling covert make          | That for themselves a 😎 covert make  |
| 'Gainst the hot season; the mid-forest brake,      | 'Gainst the ☕ season; the mid-forest brake,  |
| Rich with a sprinkling of fair musk-rose blooms:   | Rich with a sprinkling of fair musk-🌹 blooms:  |
| And such too is the grandeur of the dooms          | And such too is the grandeur of the dooms  |
| We have imagined for the mighty dead;              | We have imagined for the mighty dead;  |
| An endless fountain of immortal drink,             | An endless ⛲ of immortal 🍾,  |
| Pouring unto us from the heaven's brink.           | Pouring unto us from the heaven's brink.  |
— A Thing Of Beauty (Endymion) - Poem by John Keats

---

| Original | Translated |
|----------|------------|
| I've just seen a face | I've just seen a 😵 |
| I can't forget the time or place | I can't forget the time or place |
| Where we just met | Where we just met |
| She's just the girl for me | She's just the 👧 for me |
| And I want all the world to see | And I want all the 🌏 to 🙈 |
| We've met, mmm-mmm-mmm-m'mmm-mmm | We've met, mmm-mmm-mmm-m'mmm-mmm |
|  |  |
| Had it been another day | Had it been another day |
| I might have looked the other way | I might have looked the other way |
| And I'd have never been aware | And I'd have never been aware |
| But as it is I'll dream of her | But as it is I'll dream of her |
| Tonight, di-di-di-di'n'di | Tonight, di-di-di-di'n'di |
|  |  |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 🤙 |
| Me back again | Me 🔙 again |
|  |  |
| I have never known | I have never known |
| The like of this, I've been alone | The like of this, I've been alone |
| And I have missed things | And I have missed things |
| And kept out of sight | And kept out of sight |
| But other girls were never quite | But other 👨‍👨‍👧‍👦 were never quite |
| Like this, da-da-n'da-da'n'da | Like this, da-da-n'da-da'n'da |
|  |  |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 📲 |
| Me back again | Me 🔙 again |
|  |  |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 🤙 |
| Me back again | Me 🔙 again |
|  |  |
| I've just seen a face | I've just seen a 😵 |
| I can't forget the time or place | I can't forget the time or place |
| Where we just met | Where we just met |
| She's just the girl for me | She's just the 👧 for me |
| And I want all the world to see | And I want all the 🌏 to 🙈 |
| We've met, mmm-mmm-mmm-da-da-da | We've met, mmm-mmm-mmm-da-da-da |
|  |  |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 🤙 |
| Me back again | Me 🔙 again |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 🤙 |
| Me back again | Me 🔙 again |
| Falling, yes I am falling | 🌠, yes I am 🌠 |
| And she keeps calling | And she keeps 🤙 |
| Me back again | Me 🔙 again |
— The Beatles, I’ve just seen a face

---

### Bonus track. The Beatles, Drive My Car

Asked a 👧 what she wanted to be  
She said 👶, "Can't you 🙈  
I wanna be famous, a ✡ on the screen  
But you can do something in between"  

👶 you can drive my 🚓  
Yes I'm gonna be a ✡  
👶 you can drive my 🚓  
And maybe I 😻 you  

I told a 👧 that my prospects were good  
And she said 👶, "It's understood  
Working for 🥜 is all very fine  
But I can show you a better time"  

👶 you can drive my 🚓  
Yes I'm gonna be a ✡  
👶 you can drive my 🚓  
And maybe I 😻 you  
Beep beep'm beep beep yeah  

👶 you can drive my 🚓  
Yes I'm gonna be a ✡  
👶 you can drive my 🚓  
And maybe I 😻 you  

I told that 👧 I can start ⏯ away  
And she said, "Listen 👶 I got something to say  
I got 🙅 🚓 and it's 💔 my 💘  
But I've found a driver and that's a start"  

👶 you can drive my 🚓  
Yes I'm gonna be a ✡  
👶 you can drive my 🚓  
And maybe I 😻 you  
Beep beep'm beep beep yeah  
Beep beep'm beep beep yeah  
Beep beep'm beep beep yeah  
Beep beep'm beep beep yeah (fade out)  


## ToDo

— flags and other combineds are not treated properly;  
— stopwords (like “us” above);  
— NLP + stemming.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/emoninja. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
